#include <SDL2/SDL.h>
#include <iostream>
using namespace std;

int main()
{
    if (SDL_Init(SDL_INIT_EVERYTHING) != 0 )
    {
        cout << "SDL_Init error\n";
        return 1;
    }
    SDL_Window* window = SDL_CreateWindow("Hello World!", 100, 100, 640, 480, SDL_WINDOW_SHOWN);
    if (window == nullptr)
    {
        cout << "Window create error\n";
        return 1;
    }
    SDL_Renderer* renderer = SDL_CreateRenderer(window, -1, SDL_RENDERER_ACCELERATED || SDL_RENDERER_PRESENTVSYNC);
    if (renderer == nullptr)
    {
        cout << "Renderer error\n";
        return 1;
    }
    
}